Debian Bug report logs - #687879
readpst: copyright file missing after upgrade (policy 12.5)

version graph

Package: readpst; Maintainer for readpst is Leo Costela <costela@debian.org>; Source for readpst is src:libpst.

Reported by: Bart Martens <bartm@debian.org>

Date: Sun, 16 Sep 2012 18:22:28 UTC

Severity: serious

Tags: patch

Found in versions readpst/0.6.54-4, libpst/0.6.54-4

Fixed in version libpst/0.6.54-4.1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Leo Costela <costela@debian.org>:
Bug#687879; Package readpst. (Sun, 16 Sep 2012 18:22:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
New Bug report received and forwarded. Copy sent to Leo Costela <costela@debian.org>. (Sun, 16 Sep 2012 18:22:31 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: submit@bugs.debian.org
Subject: readpst: copyright file missing after upgrade (policy 12.5)
Date: Sun, 16 Sep 2012 18:19:20 +0000
Package: readpst
Version: 0.6.54-4
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts
Control: found -1 readpst/0.6.54-4

A test with piuparts revealed that package readpst misses the copyright
file after an upgrade from squeeze to wheezy, which is a violation of
Policy 12.5 :
http://www.debian.org/doc/debian-policy/ch-docs.html#s-copyrightfile

After the upgrade /usr/share/doc/readpst/ is just an empty directory.

The output produced by piuparts can be found here :
http://piuparts.debian.org/squeeze2wheezy/fail/readpst_0.6.54-4.log

Additional info may be available here:
http://wiki.debian.org/MissingCopyrightFile



Marked as found in versions readpst/0.6.54-4. Request was from Bart Martens <bartm@debian.org> to submit@bugs.debian.org. (Sun, 16 Sep 2012 18:22:31 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Leo Costela <costela@debian.org>:
Bug#687879; Package readpst. (Sun, 30 Sep 2012 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Leo Costela <costela@debian.org>. (Sun, 30 Sep 2012 17:27:03 GMT) Full text and rfc822 format available.

Message #12 received at 687879@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 687879@bugs.debian.org
Subject: libpst: diff for NMU version 0.6.54-4.1
Date: Sun, 30 Sep 2012 19:23:38 +0200
[Message part 1 (text/plain, inline)]
tags 687879 + patch
tags 687879 + pending
thanks

Dear maintainer,

I've prepared an NMU for libpst (versioned as 0.6.54-4.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Don McLean: Mother Nature
[libpst-0.6.54-4.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 30 Sep 2012 17:27:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 30 Sep 2012 17:27:05 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Tue, 02 Oct 2012 17:51:04 GMT) Full text and rfc822 format available.

Notification sent to Bart Martens <bartm@debian.org>:
Bug acknowledged by developer. (Tue, 02 Oct 2012 17:51:04 GMT) Full text and rfc822 format available.

Message #21 received at 687879-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 687879-close@bugs.debian.org
Subject: Bug#687879: fixed in libpst 0.6.54-4.1
Date: Tue, 02 Oct 2012 17:47:39 +0000
Source: libpst
Source-Version: 0.6.54-4.1

We believe that the bug you reported is fixed in the latest version of
libpst, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 687879@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libpst package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 30 Sep 2012 19:12:22 +0200
Source: libpst
Binary: libpst4 libpst-dev pst-utils readpst libpst4-dbg
Architecture: source amd64 all
Version: 0.6.54-4.1
Distribution: unstable
Urgency: low
Maintainer: Leo Costela <costela@debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libpst-dev - library for reading Microsoft Outlook PST files (development file
 libpst4    - library for reading Microsoft Outlook PST files
 libpst4-dbg - debug symbols for libpst
 pst-utils  - tools for reading Microsoft Outlook PST files
 readpst    - Converts Outlook PST files to mbox and others
Closes: 687879
Changes: 
 libpst (0.6.54-4.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "copyright file missing after upgrade (policy 12.5)":
     readpst: fix directory to symlink upgrade in postinst.
     (Closes: #687879)
Checksums-Sha1: 
 091d8787c542b407527dc04489e187b650ea2770 2091 libpst_0.6.54-4.1.dsc
 07cc74c148f45ce6af31dbc9f7e0bd791b40ec4b 6006 libpst_0.6.54-4.1.debian.tar.gz
 51cb2f18834ced2dfc1dee94aedf60a2644131d4 84682 libpst4_0.6.54-4.1_amd64.deb
 239b0f402edb65eb0726fa82a404722eb92f6c89 785120 libpst-dev_0.6.54-4.1_amd64.deb
 ba6d47d8ef265faaad05011e4ec089697d9b3198 72482 pst-utils_0.6.54-4.1_amd64.deb
 e6133fd3e51a8c21de12252974c019d868e3b6ac 908 readpst_0.6.54-4.1_all.deb
 290bd4233d8245d1c96c4052ca56166695dc6836 296140 libpst4-dbg_0.6.54-4.1_amd64.deb
Checksums-Sha256: 
 9390ba9f600845ad7fe123e44efc4b0ded19612bd948abcdd56074ceb1aa7249 2091 libpst_0.6.54-4.1.dsc
 b146274a868970e68763dab60d42f928ed3e559abaa254d8b6203276892b8083 6006 libpst_0.6.54-4.1.debian.tar.gz
 9c26637a5f2f9181d7d8843ea972961025d022c8e7e8370ba922566dd639753d 84682 libpst4_0.6.54-4.1_amd64.deb
 98fcd7661135457f94ada5473ae6365098f0addfd0192930f92d71e5eb83a652 785120 libpst-dev_0.6.54-4.1_amd64.deb
 28385673994f64e322889d5a02aa75b228888834c22208cb46c0b0a128e2853c 72482 pst-utils_0.6.54-4.1_amd64.deb
 90969294c5c5a1ee5a6e3f57bf852193c2dc2f9846183ff6469e3dae6acd51c4 908 readpst_0.6.54-4.1_all.deb
 39de598f701487f17c0bcecb9839d7867a760a07e5a64d787884d8376e6995ae 296140 libpst4-dbg_0.6.54-4.1_amd64.deb
Files: 
 249db09bd2facdbc5700d5f3371e183b 2091 utils optional libpst_0.6.54-4.1.dsc
 e746f3396709767b06f323a7e7d9c377 6006 utils optional libpst_0.6.54-4.1.debian.tar.gz
 936f5234752f572a39e661fc82efaeea 84682 libs optional libpst4_0.6.54-4.1_amd64.deb
 f69b210863e6d1b00bb8fd273dae54b7 785120 libdevel extra libpst-dev_0.6.54-4.1_amd64.deb
 37a90b8ed15bc3a09770088ce6f8f470 72482 utils optional pst-utils_0.6.54-4.1_amd64.deb
 81ff74c2a6a47a114aca7d83aacfd659 908 utils optional readpst_0.6.54-4.1_all.deb
 9ed072e7e3e65a26eeda49c4e1506131 296140 debug extra libpst4-dbg_0.6.54-4.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQaH9dAAoJELs6aAGGSaoG/gMQAKEMyDoyfQ9BdmBLvUH9RQgM
xXQFuiwCz1y1xRqqOdqT5dmvQq18nkCtgoL0qwvjsYmjbbGqieSRRwaaw2Hx0+nW
AHehsNOKWK4otX4u9DcmDL7nql86NfVU4ypAZeE40IuQyYugRgW4b9TikCO38Bkl
Nzfpqy91+wlcug7gEQp30btXtDhZhYIstAYkPkh0L8Yxk1Hb93lok+WQPznXUT24
ZtGUaY51o49YtG1tMLigge6Jr3RbkQEasTnocSaRK0QrIjUVrWvdnL1vHZVwb6lI
SFDAXfrXT3XuxbJOrGl+uqpgdOTdnOjVGFvh5o9qoLM37oHVpCyh1T1SH4qMm0Ya
IGqNoVDFSnpEq480qM8moTn6Pa5xLc4Dpt4VxmQ1YNcBSpxgVAPW63xiKtW15d5o
i94NZcbde5uw4OVKxd1vvNEAlU0deMeRaZMtkyzJDBRVXyzu3otDG7tX2pLuQsTY
3Ico6BnYbYRGgueBrjyEMn8h5j0wKvGx0L9oS2bHKi/lEpGrwzPAmvW/HJH8YAx9
VuGzaaDx9ZkSCb32lGODjF8S1ygMXWJANVAb4DQOT271Bqlrn702zll2Jn3Fk2TQ
pfD8USXuoI5bgcWE+lDCwUJUrbuJk40eI3OkhokNtc2db2Uup3UkAstcnwOYd7YM
2w9awIZMn9qF72P/Mei5
=+GKR
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 12 Nov 2012 07:27:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:25:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.